; ---------------------------------------------------------------------------
#include "compat.h"
; ---------------------------------------------------------------------------
#ifdef __CC65__
; ---------------------------------------------------------------------------
.text

; Use OSDK as donor

_cls        jmp $ccce
_text       jmp $ec21
_lores0     jmp $d9ed
_lores1     jmp $d9ea
_hires      jmp $ec33
_paper
            sta $2e1
            stx $2e2
            lda #$00
            sta $2e0
            jsr $f204      ; paper
            retbyt($2e0)

;             ldx #1         ; Get one parm
;             jsr getXparm
;             jsr $f204      ; paper
;             jmp grexit     ; common exit point

_ink
            sta $2e1
            stx $2e2
            lda #$00
            sta $2e0
            jsr $f210      ; ink
            retbyt($2e0)

;             ldx #1         ; Get one parm
;             jsr getXparm
;             jsr $f210      ; ink
;             jmp grexit     ; common exit point

; Help routines for more complicated functions

getXparm                   ; Get X params (16bit) from stack
            ldy #0         ; X is the number of params
            sty $2e0       ; Zero error indicator.
            stx tmp1       ; store X in storage byte
            ldx #0
getXloop
            lda (sp),y
            sta $2e1,x
            inx
            iny
            lda (sp),y
            sta $2e1,x
            inx
            iny            ;
            dec tmp1       ; decrement pointer
            bne getXloop
            rts

grexit
            lda $2e0       ; Return error from Graphics or sound routines
grexit2
            tax
            lda #0
            rts


#endif /* __CC65__ */

; ---------------------------------------------------------------------------
#ifdef __OSDK__
; ---------------------------------------------------------------------------
.text

#endif /* __OSDK__ */
